function [Art,Weibchen,Gewicht]=T5H1_c_Klaus
%function [Art,Weibchen,Gewicht]=vogelfang
%erzeugt zufaellig die Daten fuer einen gefangenen Vogel
%Rueckgabewerte: 
%Art ist eine Zeichenkette
%Weibchen ist ein Wahrheitswert, der das Geschlecht angibt
%Gewicht ist eine Zahl (in g)

%Zufallszahlen erzeugen:
z20=randperm(20); %Zahlen von 1 bis 20 in zufaelliger Reihenfolge
z=z20(1);         %erste Zufallszahl zwischen 1 und 20, benutzt fuer die Vogelart
g=rand(1);        %gleichverteilten Zufallszahl zwischen 0 und 1, benutzt fuer
                  %das Geschlecht
s=randn(1);       %normalverteilte Zufallszahl mit Mittelwert 0 und Varianz 1,
                  %benutzt fuer die Streuung des Gewicht


%Geschlecht festlegen:
Weibchen=g>0.5;   %Erzeugt einen Wahrheitswert mit 50% Wahrscheinlichkeit, 
                    %abhaengig von Zufallszahl g
                    
Weibchen1=g>0.4;  %Erzeugt einen Wahrheitswert mit 60% Wahrscheinlichkeit, 
                    %abhaengig von Zufallszahl g

if z<7               %30% der Voegel sind Amseln
    Art='Amsel';   
    if Weibchen1
        Gewicht=90+5*s;
    else
        Gewicht=95+5*s;
    end
elseif z>7 & z<12            %25% der Voegel sind Meisen
    Art='Kohlmeise';
    if Weibchen
        Gewicht=18+s;
    else
        Gewicht=19+s;
    end
elseif z==12 | z==13         %10% Rotkehlchen
    Art='Rotkehlchen';
    if Weibchen
        Gewicht=15+3*s;
    else
        Gewicht=15+2*s;
    end
elseif z==14 | z==15         %10% Buchfinken
    Art='Buchfink';
    if Weibchen
        Gewicht=28+3*s;
    else
        Gewicht=25+2*s;
    end
else                          %25% Spatzen
    Art='Spatz';
    if Weibchen  %Gewicht von Weibchen streut 3 Mal mehr als das Gewicht von Mnnchen. 
        Gewicht=20+3*s;
    else
        Gewicht=22+s;
    end    
end