function [Art,Weibchen,Gewicht]=vogelfang
%function [Art,Weibchen,Gewicht]=vogelfang
%erzeugt zufaellig die Daten fuer einen gefangenen Vogel
%Rueckgabewerte: 
%Art ist eine Zeichenkette
%Weibchen ist ein Wahrheitswert, der das Geschlecht angibt
%Gewicht ist eine Zahl (in g)

%Zufallszahlen erzeugen:
z10=randperm(10); %Zahlen von 1 bis 10 in zufaelliger Reihenfolge
z=z10(1);         %erste Zufallszahl zwischen 1 und 10, benutzt fuer die Vogelart
g=rand(1);        %gleichverteilten Zufallszahl zwischen 0 und 1, benutzt fuer
                  %das Geschlecht
s=randn(1);       %normalverteilte Zufallszahl mit Mittelwert 0 und Varianz 1,
                  %benutzt fuer die Streuung des Gewicht
neu=rand(1);      %Zufallszahl benutzt fr unterscheidung Spatz oder Meise       

if z<4 %30% der Voegel sind Amseln
    Art='Amsel';
    Weibchen=g>0.4
    if Weibchen
        Gewicht=90+5*s;
    else
        Gewicht=95+5*s;
    end
else
    Weibchen=g>0.5; %erzeugt einen Wahrheitswert mit 50% Wahrscheinlichkeit, abhngig von Zufallszahl g
end

if z==6          %10% Rotkehlchen
    Art='Rotkehlchen';
    if Weibchen
        Gewicht=15+3*s;
    else
        Gewicht=15+2*s;
    end
elseif z==7          %10% Buchfinken
    Art='Buchfink';
    if Weibchen
        Gewicht=28+3*s;
    else
        Gewicht=25+2*s;
    end
else                 %50% der Voegel sind Meisen und Spatzen
    if neu<=0.5
    Art='Kohlmeise';        %25% der Voegel sind Meisen
        if Weibchen
            Gewicht=18+s;
        else
            Gewicht=19+s;
        end
    else
        Art='Spatz';           %25 % der Voegel sind Spatzen
        if Weibchen
            Gewicht=20+3*s*3;
        else
            Gewicht=22+3*s;
        end    
    end
end